=== modified file 'configure.ac'
--- configure.ac	2009-07-29 05:25:53 +0000
+++ configure.ac	2009-07-30 06:49:08 +0000
@@ -128,25 +128,6 @@
       AC_MSG_ERROR([libz is required for Drizzle. On Debian this can be found in zlib1g-dev. On RedHat this can be found in zlib-devel.]))
 
 #--------------------------------------------------------------------
-# Check for TBB
-#--------------------------------------------------------------------
-
-AC_LANG_PUSH(C++)
-AC_LIB_HAVE_LINKFLAGS(tbb,,
-[#include <tbb/atomic.h>
- #include <stdint.h>
-],
-[
-  tbb::atomic<uint64_t> x;
-  tbb::atomic<uint8_t> y;
-  x=0;
-  y=0;
-  x++;
-  y++;
-])
-AC_LANG_POP()
-
-#--------------------------------------------------------------------
 # Check for libreadline or compatible (libedit on Mac OS X)
 #--------------------------------------------------------------------
 

=== modified file 'drizzled/atomics.h'
--- drizzled/atomics.h	2009-07-15 05:28:57 +0000
+++ drizzled/atomics.h	2009-07-30 06:49:08 +0000
@@ -21,17 +21,6 @@
 #ifndef DRIZZLED_ATOMICS_H
 #define DRIZZLED_ATOMICS_H
 
-#if defined(HAVE_LIBTBB)
-# include <tbb/atomic.h>
-/* We're actually using the TBB interface directly, but we don't want to tie
- * the code to a specific implementation. So suck the tbb:: stuff into the
- * drizzled namespace
- */
-namespace drizzled {
-  using namespace tbb;
-}
-#else
-
 # if defined(__SUNPRO_CC)
 #  include <drizzled/atomic/sun_studio.h>
 # endif
@@ -185,6 +174,5 @@
 #  endif
 
 }
-# endif /* defined(HAVE_LIBTBB) */
 
 #endif /* DRIZZLED_ATOMIC_H */

